package cn.yyxx.eyuancomm.base

import android.content.Context

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class SdkDrive {

    init {
        System.loadLibrary("eyuancomm")
    }

    external fun initSdkDrive(context: Context)

    external fun setCommParam(key: String, value: String)

    external fun getCommParam(key: String): String

    external fun setCoreParam(key: String, value: String)

    external fun getCoreParam(key: String): String

    external fun invokeCommJob(key: String, data: String): String

    external fun invokeCoreJob(key: String, data: String): String

    external fun parseJob(key: String, data: String): String

    external fun getCommMap(): String

    external fun getCoreMap(): String

    companion object {
        val instance: SdkDrive by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            SdkDrive()
        }
    }
}